Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iData

    java.lang.Object
      |
      +--s2iData

public class s2iData
extends java.lang.Object

The s2iData class holds all of the data that an s2ibis input file (.s2i) will contain. Other classes read, write, and edit this data.

Author:
  Anish Malhotra, Cadence Design Systems
See Also:
  `s2iReader`, `s2iWriter`, `s2iTransOptions`

Field Summary
`(package private) java.lang.String` | `enable_pin` The test fixture output enable pin node name.
`(package private) int` | `FwaveCtr` Number of Falling waveforms
`(package private) java.lang.String` | `gnd_pin` The test fixture ground pin node name.
`(package private) java.lang.String` | `ibsCacCmax` Model section parameter - power max Cac capacitance
`(package private) java.lang.String` | `ibsCacCmin` Model section parameter - power min Cac capacitance
`(package private) java.lang.String` | `ibsCacCtyp` Model section parameter - power typ Cac capacitance
`(package private) java.lang.String` | `ibsCcompCmax` Global parameter section parameter - max silicon die capacitance
`(package private) java.lang.String` | `ibsCcompCmin` Global parameter section parameter - min silicon die capacitance
`(package private) java.lang.String` | `ibsCcompCtyp` Global parameter section parameter - typ silicon die capacitance
`(package private) java.lang.String` | `ibsClampTol` Global parameter section parameter - threshold for clamp curve printing
`(package private) boolean` | `ibsCleanup` Header section parameter - cleanup flag
`(package private) java.lang.String` | `ibsComponent` Component section parameter - component name
`(package private) java.lang.String` | `ibsCopyright` Header section parameter - copyright
`(package private) java.lang.String` | `ibsCpkgmax` Global parameter section parameter - max package capacitance
`(package private) java.lang.String` | `ibsCpkgmin` Global parameter section parameter - min package capacitance
`(package private) java.lang.String` | `ibsCpkgtyp` Global parameter section parameter - typ package capacitance
`(package private) java.lang.String` | `ibsCref` Model section parameter - ref capacitance
`(package private) java.lang.String` | `ibsDate` Header section parameter - date
`(package private) java.lang.String` | `ibsDerateRamp` Global parameter section parameter - percent to derate ramp rates
`(package private) java.lang.String` | `ibsDerateVi` Global parameter section parameter - percent to derate VI curves
`(package private) java.lang.String` | `ibsDisclaimer` Header section parameter - disclaimer
`(package private) java.lang.String` | `ibsEnable` Model section parameter - enable flag
`(package private) java.lang.String` | `ibsFileName` Header section parameter - IBIS file name
`(package private) java.lang.String` | `ibsFileRev` Header section parameter - file revision
`(package private) java.lang.String[]` | `ibsFwaveCd` Model section parameter - falling-wave Cd
`(package private) java.lang.String[]` | `ibsFwaveCf` Model section parameter - falling-wave Cf
`(package private) java.lang.String[]` | `ibsFwaveLd` Model section parameter - falling-wave Ld
`(package private) java.lang.String[]` | `ibsFwaveLf` Model section parameter - falling-wave Lf
`(package private) java.lang.String[]` | `ibsFwaveRd` Model section parameter - falling-wave Rd
`(package private) java.lang.String[]` | `ibsFwaveRf` Model section parameter - falling-wave Rf
`(package private) java.lang.String[]` | `ibsFwaveVf` Model section parameter - falling-wave Vf
`(package private) java.lang.String[]` | `ibsFwaveVfMax` Model section parameter - falling-wave Vf_max
`(package private) java.lang.String[]` | `ibsFwaveVfMin` Model section parameter - falling-wave Vf_min
`(package private) java.lang.String` | `ibsGclampVmax` Global parameter section parameter - max ground-clamp voltage
`(package private) java.lang.String` | `ibsGclampVmin` Global parameter section parameter - min ground-clamp voltage
`(package private) java.lang.String` | `ibsGclampVtyp` Global parameter section parameter - typ ground-clamp voltage
`(package private) boolean` | `ibsIterate` Header section parameter - iterate flag
`(package private) java.lang.String` | `ibsLpkgmax` Global parameter section parameter - max package inductance
`(package private) java.lang.String` | `ibsLpkgmin` Global parameter section parameter - min package inductance
`(package private) java.lang.String` | `ibsLpkgtyp` Global parameter section parameter - typ package inductance
`(package private) java.lang.String` | `ibsManufacturer` Component section parameter - manufacturer
`(package private) java.lang.String` | `ibsModelFilemax` Model section parameter - power max model file
`(package private) java.lang.String` | `ibsModelFilemin` Model section parameter - power min model file
`(package private) java.lang.String` | `ibsModelFiletyp` Model section parameter - power typ model file
`(package private) java.lang.String` | `ibsModelName` Model section parameter - model name
`(package private) java.lang.String` | `ibsModelType` Model section parameter - model type
`(package private) java.lang.String` | `ibsNoModel` Model section parameter - no model flag
`(package private) java.lang.String` | `ibsNotes` Header section parameter - notes
`(package private) java.lang.String` | `ibsPackageName` Component section parameter - package name
`(package private) java.lang.String` | `ibsPclampVmax` Global parameter section parameter - max power-clamp voltage
`(package private) java.lang.String` | `ibsPclampVmin` Global parameter section parameter - min power-clamp voltage
`(package private) java.lang.String` | `ibsPclampVtyp` Global parameter section parameter - typ power-clamp voltage
`(package private) java.lang.String` | `ibsPolarity` Model section parameter - polarity
`(package private) java.lang.String` | `ibsPulldnVmax` Global parameter section parameter - max pull-down voltage
`(package private) java.lang.String` | `ibsPulldnVmin` Global parameter section parameter - min pull-down voltage
`(package private) java.lang.String` | `ibsPulldnVtyp` Global parameter section parameter - typ pull-down voltage
`(package private) java.lang.String` | `ibsPullupVmax` Global parameter section parameter - max pull-up voltage
`(package private) java.lang.String` | `ibsPullupVmin` Global parameter section parameter - min pull-up voltage
`(package private) java.lang.String` | `ibsPullupVtyp` Global parameter section parameter - typ pull-up voltage
`(package private) java.lang.String` | `ibsRacRmax` Model section parameter - power max Rac resistance
`(package private) java.lang.String` | `ibsRacRmin` Model section parameter - power min Rac resistance
`(package private) java.lang.String` | `ibsRacRtyp` Model section parameter - power typ Rac resistance
`(package private) java.lang.String` | `ibsRgndRmax` Model section parameter - ground max resistance
`(package private) java.lang.String` | `ibsRgndRmin` Model section parameter - ground min resistance
`(package private) java.lang.String` | `ibsRgndRtyp` Model section parameter - ground typ resistance
`(package private) java.lang.String` | `ibsRload` Global parameter section parameter - load resistance for ramp rate
`(package private) java.lang.String` | `ibsRpkgmax` Global parameter section parameter - max package resistance
`(package private) java.lang.String` | `ibsRpkgmin` Global parameter section parameter - min package resistance
`(package private) java.lang.String` | `ibsRpkgtyp` Global parameter section parameter - typ package resistance
`(package private) java.lang.String` | `ibsRpowerRmax` Model section parameter - power max resistance
`(package private) java.lang.String` | `ibsRpowerRmin` Model section parameter - power min resistance
`(package private) java.lang.String` | `ibsRpowerRtyp` Model section parameter - power typ resistance
`(package private) java.lang.String` | `ibsRref` Model section parameter - ref resistance
`(package private) java.lang.String[]` | `ibsRwaveCd` Model section parameter - rising-wave Cd
`(package private) java.lang.String[]` | `ibsRwaveCf` Model section parameter - rising-wave Cf
`(package private) java.lang.String[]` | `ibsRwaveLd` Model section parameter - rising-wave Ld
`(package private) java.lang.String[]` | `ibsRwaveLf` Model section parameter - rising-wave Lf
`(package private) java.lang.String[]` | `ibsRwaveRd` Model section parameter - rising-wave Rd
`(package private) java.lang.String[]` | `ibsRwaveRf` Model section parameter - rising-wave Rf
`(package private) java.lang.String[]` | `ibsRwaveVf` Model section parameter - rising-wave Vf
`(package private) java.lang.String[]` | `ibsRwaveVfMax` Model section parameter - rising-wave Vf_max
`(package private) java.lang.String[]` | `ibsRwaveVfMin` Model section parameter - rising-wave Vf_min
`(package private) java.lang.String` | `ibsSimTime` Global parameter section parameter - Spice transient simulation time
`(package private) java.lang.String` | `ibsSource` Header section parameter - source
`(package private) java.lang.String` | `ibsSpiceComm` Header section parameter - spice command
`(package private) java.lang.String` | `ibsSpiceFile` Component section parameter - spice file name
`(package private) java.lang.String` | `ibsSpiceType` Header section parameter - spice type
`(package private) boolean` | `ibsSummarize` Header section parameter - summarize flag
`(package private) java.lang.String` | `ibsTempTmax` Global parameter section parameter - max package temperature
`(package private) java.lang.String` | `ibsTempTmin` Global parameter section parameter - min package temperature
`(package private) java.lang.String` | `ibsTempTtyp` Global parameter section parameter - typ package temperature
`(package private) java.lang.String` | `ibsTfTmax` Global parameter section parameter - max stimulus input voltage falltime
`(package private) java.lang.String` | `ibsTfTmin` Global parameter section parameter - min stimulus input voltage falltime
`(package private) java.lang.String` | `ibsTfTtyp` Global parameter section parameter - typ stimulus input voltage falltime
`(package private) java.lang.String` | `ibsTrTmax` Global parameter section parameter - max stimulus input voltage risetime
`(package private) java.lang.String` | `ibsTrTmin` Global parameter section parameter - min stimulus input voltage risetime
`(package private) java.lang.String` | `ibsTrTtyp` Global parameter section parameter - typ stimulus input voltage risetime
`(package private) java.lang.String` | `ibsVersion` Header section parameter - version
`(package private) java.lang.String` | `ibsVihVmax` Global parameter section parameter - max high stimulus input voltage
`(package private) java.lang.String` | `ibsVihVmin` Global parameter section parameter - min high stimulus input voltage
`(package private) java.lang.String` | `ibsVihVtyp` Global parameter section parameter - typ high stimulus input voltage
`(package private) java.lang.String` | `ibsVilVmax` Global parameter section parameter - max low stimulus input voltage
`(package private) java.lang.String` | `ibsVilVmin` Global parameter section parameter - min low stimulus input voltage
`(package private) java.lang.String` | `ibsVilVtyp` Global parameter section parameter - typ low stimulus input voltage
`(package private) java.lang.String` | `ibsVin` Model section parameter - voltage low vin
`(package private) java.lang.String` | `ibsVinh` Model section parameter - voltage high vin
`(package private) java.lang.String` | `ibsVmeas` Model section parameter - voltage mean
`(package private) java.lang.String` | `ibsVoltVmax` Global parameter section parameter - max supply voltage
`(package private) java.lang.String` | `ibsVoltVmin` Global parameter section parameter - min supply voltage
`(package private) java.lang.String` | `ibsVoltVtyp` Global parameter section parameter - typ supply voltage
`(package private) java.lang.String` | `ibsVref` Model section parameter - ref voltage
`(package private) java.lang.String` | `input_pin` The test fixture data input pin node name.
`(package private) java.lang.String` | `model_name` Name of the model.
`(package private) java.lang.String` | `pow_pin` The test fixture power pin node name.
`(package private) int` | `RwaveCtr` Number of Rising waveforms
`(package private) java.lang.String` | `s2iFileName` s2i output file
`(package private) java.lang.String` | `spice_node` The test fixture output pin node name.

Constructor Summary
`s2iData()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### s2iFileName

    java.lang.String s2iFileName

  s2i output file

### ibsVersion

    java.lang.String ibsVersion

  Header section parameter - version

### ibsFileName

    java.lang.String ibsFileName

  Header section parameter - IBIS file name

### ibsFileRev

    java.lang.String ibsFileRev

  Header section parameter - file revision

### ibsDate

    java.lang.String ibsDate

  Header section parameter - date

### ibsSource

    java.lang.String ibsSource

  Header section parameter - source

### ibsNotes

    java.lang.String ibsNotes

  Header section parameter - notes

### ibsDisclaimer

    java.lang.String ibsDisclaimer

  Header section parameter - disclaimer

### ibsCopyright

    java.lang.String ibsCopyright

  Header section parameter - copyright

### ibsSpiceType

    java.lang.String ibsSpiceType

  Header section parameter - spice type

### ibsSpiceComm

    java.lang.String ibsSpiceComm

  Header section parameter - spice command

### ibsIterate

    boolean ibsIterate

  Header section parameter - iterate flag

### ibsCleanup

    boolean ibsCleanup

  Header section parameter - cleanup flag

### ibsSummarize

    boolean ibsSummarize

  Header section parameter - summarize flag

### ibsComponent

    java.lang.String ibsComponent

  Component section parameter - component name

### ibsManufacturer

    java.lang.String ibsManufacturer

  Component section parameter - manufacturer

### ibsPackageName

    java.lang.String ibsPackageName

  Component section parameter - package name

### ibsSpiceFile

    java.lang.String ibsSpiceFile

  Component section parameter - spice file name

### ibsRpkgtyp

    java.lang.String ibsRpkgtyp

  Global parameter section parameter - typ package resistance

### ibsRpkgmin

    java.lang.String ibsRpkgmin

  Global parameter section parameter - min package resistance

### ibsRpkgmax

    java.lang.String ibsRpkgmax

  Global parameter section parameter - max package resistance

### ibsLpkgtyp

    java.lang.String ibsLpkgtyp

  Global parameter section parameter - typ package inductance

### ibsLpkgmin

    java.lang.String ibsLpkgmin

  Global parameter section parameter - min package inductance

### ibsLpkgmax

    java.lang.String ibsLpkgmax

  Global parameter section parameter - max package inductance

### ibsCpkgtyp

    java.lang.String ibsCpkgtyp

  Global parameter section parameter - typ package capacitance

### ibsCpkgmin

    java.lang.String ibsCpkgmin

  Global parameter section parameter - min package capacitance

### ibsCpkgmax

    java.lang.String ibsCpkgmax

  Global parameter section parameter - max package capacitance

### ibsTempTtyp

    java.lang.String ibsTempTtyp

  Global parameter section parameter - typ package temperature

### ibsTempTmin

    java.lang.String ibsTempTmin

  Global parameter section parameter - min package temperature

### ibsTempTmax

    java.lang.String ibsTempTmax

  Global parameter section parameter - max package temperature

### ibsVoltVtyp

    java.lang.String ibsVoltVtyp

  Global parameter section parameter - typ supply voltage

### ibsVoltVmin

    java.lang.String ibsVoltVmin

  Global parameter section parameter - min supply voltage

### ibsVoltVmax

    java.lang.String ibsVoltVmax

  Global parameter section parameter - max supply voltage

### ibsPullupVtyp

    java.lang.String ibsPullupVtyp

  Global parameter section parameter - typ pull-up voltage

### ibsPullupVmin

    java.lang.String ibsPullupVmin

  Global parameter section parameter - min pull-up voltage

### ibsPullupVmax

    java.lang.String ibsPullupVmax

  Global parameter section parameter - max pull-up voltage

### ibsPulldnVtyp

    java.lang.String ibsPulldnVtyp

  Global parameter section parameter - typ pull-down voltage

### ibsPulldnVmin

    java.lang.String ibsPulldnVmin

  Global parameter section parameter - min pull-down voltage

### ibsPulldnVmax

    java.lang.String ibsPulldnVmax

  Global parameter section parameter - max pull-down voltage

### ibsPclampVtyp

    java.lang.String ibsPclampVtyp

  Global parameter section parameter - typ power-clamp voltage

### ibsPclampVmin

    java.lang.String ibsPclampVmin

  Global parameter section parameter - min power-clamp voltage

### ibsPclampVmax

    java.lang.String ibsPclampVmax

  Global parameter section parameter - max power-clamp voltage

### ibsGclampVtyp

    java.lang.String ibsGclampVtyp

  Global parameter section parameter - typ ground-clamp voltage

### ibsGclampVmin

    java.lang.String ibsGclampVmin

  Global parameter section parameter - min ground-clamp voltage

### ibsGclampVmax

    java.lang.String ibsGclampVmax

  Global parameter section parameter - max ground-clamp voltage

### ibsCcompCtyp

    java.lang.String ibsCcompCtyp

  Global parameter section parameter - typ silicon die capacitance

### ibsCcompCmin

    java.lang.String ibsCcompCmin

  Global parameter section parameter - min silicon die capacitance

### ibsCcompCmax

    java.lang.String ibsCcompCmax

  Global parameter section parameter - max silicon die capacitance

### ibsVilVtyp

    java.lang.String ibsVilVtyp

  Global parameter section parameter - typ low stimulus input voltage

### ibsVilVmin

    java.lang.String ibsVilVmin

  Global parameter section parameter - min low stimulus input voltage

### ibsVilVmax

    java.lang.String ibsVilVmax

  Global parameter section parameter - max low stimulus input voltage

### ibsVihVtyp

    java.lang.String ibsVihVtyp

  Global parameter section parameter - typ high stimulus input voltage

### ibsVihVmin

    java.lang.String ibsVihVmin

  Global parameter section parameter - min high stimulus input voltage

### ibsVihVmax

    java.lang.String ibsVihVmax

  Global parameter section parameter - max high stimulus input voltage

### ibsTrTtyp

    java.lang.String ibsTrTtyp

  Global parameter section parameter - typ stimulus input voltage risetime

### ibsTrTmin

    java.lang.String ibsTrTmin

  Global parameter section parameter - min stimulus input voltage risetime

### ibsTrTmax

    java.lang.String ibsTrTmax

  Global parameter section parameter - max stimulus input voltage risetime

### ibsTfTtyp

    java.lang.String ibsTfTtyp

  Global parameter section parameter - typ stimulus input voltage falltime

### ibsTfTmin

    java.lang.String ibsTfTmin

  Global parameter section parameter - min stimulus input voltage falltime

### ibsTfTmax

    java.lang.String ibsTfTmax

  Global parameter section parameter - max stimulus input voltage falltime

### ibsRload

    java.lang.String ibsRload

  Global parameter section parameter - load resistance for ramp rate

### ibsSimTime

    java.lang.String ibsSimTime

  Global parameter section parameter - Spice transient simulation time

### ibsClampTol

    java.lang.String ibsClampTol

  Global parameter section parameter - threshold for clamp curve printing

### ibsDerateVi

    java.lang.String ibsDerateVi

  Global parameter section parameter - percent to derate VI curves

### ibsDerateRamp

    java.lang.String ibsDerateRamp

  Global parameter section parameter - percent to derate ramp rates

### ibsModelName

    java.lang.String ibsModelName

  Model section parameter - model name

### ibsNoModel

    java.lang.String ibsNoModel

  Model section parameter - no model flag

### ibsModelType

    java.lang.String ibsModelType

  Model section parameter - model type

### ibsPolarity

    java.lang.String ibsPolarity

  Model section parameter - polarity

### ibsEnable

    java.lang.String ibsEnable

  Model section parameter - enable flag

### ibsVin

    java.lang.String ibsVin

  Model section parameter - voltage low vin

### ibsVinh

    java.lang.String ibsVinh

  Model section parameter - voltage high vin

### ibsVmeas

    java.lang.String ibsVmeas

  Model section parameter - voltage mean

### ibsCref

    java.lang.String ibsCref

  Model section parameter - ref capacitance

### ibsRref

    java.lang.String ibsRref

  Model section parameter - ref resistance

### ibsVref

    java.lang.String ibsVref

  Model section parameter - ref voltage

### ibsRgndRtyp

    java.lang.String ibsRgndRtyp

  Model section parameter - ground typ resistance

### ibsRgndRmin

    java.lang.String ibsRgndRmin

  Model section parameter - ground min resistance

### ibsRgndRmax

    java.lang.String ibsRgndRmax

  Model section parameter - ground max resistance

### ibsRpowerRtyp

    java.lang.String ibsRpowerRtyp

  Model section parameter - power typ resistance

### ibsRpowerRmin

    java.lang.String ibsRpowerRmin

  Model section parameter - power min resistance

### ibsRpowerRmax

    java.lang.String ibsRpowerRmax

  Model section parameter - power max resistance

### ibsRacRtyp

    java.lang.String ibsRacRtyp

  Model section parameter - power typ Rac resistance

### ibsRacRmin

    java.lang.String ibsRacRmin

  Model section parameter - power min Rac resistance

### ibsRacRmax

    java.lang.String ibsRacRmax

  Model section parameter - power max Rac resistance

### ibsCacCtyp

    java.lang.String ibsCacCtyp

  Model section parameter - power typ Cac capacitance

### ibsCacCmin

    java.lang.String ibsCacCmin

  Model section parameter - power min Cac capacitance

### ibsCacCmax

    java.lang.String ibsCacCmax

  Model section parameter - power max Cac capacitance

### ibsModelFiletyp

    java.lang.String ibsModelFiletyp

  Model section parameter - power typ model file

### ibsModelFilemin

    java.lang.String ibsModelFilemin

  Model section parameter - power min model file

### ibsModelFilemax

    java.lang.String ibsModelFilemax

  Model section parameter - power max model file

### FwaveCtr

    int FwaveCtr

  Number of Falling waveforms

### RwaveCtr

    int RwaveCtr

  Number of Rising waveforms

### ibsRwaveRf

    java.lang.String[] ibsRwaveRf

  Model section parameter - rising-wave Rf

### ibsRwaveVf

    java.lang.String[] ibsRwaveVf

  Model section parameter - rising-wave Vf

### ibsRwaveVfMin

    java.lang.String[] ibsRwaveVfMin

  Model section parameter - rising-wave Vf_min

### ibsRwaveVfMax

    java.lang.String[] ibsRwaveVfMax

  Model section parameter - rising-wave Vf_max

### ibsRwaveLf

    java.lang.String[] ibsRwaveLf

  Model section parameter - rising-wave Lf

### ibsRwaveCf

    java.lang.String[] ibsRwaveCf

  Model section parameter - rising-wave Cf

### ibsRwaveRd

    java.lang.String[] ibsRwaveRd

  Model section parameter - rising-wave Rd

### ibsRwaveCd

    java.lang.String[] ibsRwaveCd

  Model section parameter - rising-wave Cd

### ibsRwaveLd

    java.lang.String[] ibsRwaveLd

  Model section parameter - rising-wave Ld

### ibsFwaveRf

    java.lang.String[] ibsFwaveRf

  Model section parameter - falling-wave Rf

### ibsFwaveVf

    java.lang.String[] ibsFwaveVf

  Model section parameter - falling-wave Vf

### ibsFwaveVfMin

    java.lang.String[] ibsFwaveVfMin

  Model section parameter - falling-wave Vf_min

### ibsFwaveVfMax

    java.lang.String[] ibsFwaveVfMax

  Model section parameter - falling-wave Vf_max

### ibsFwaveLf

    java.lang.String[] ibsFwaveLf

  Model section parameter - falling-wave Lf

### ibsFwaveCf

    java.lang.String[] ibsFwaveCf

  Model section parameter - falling-wave Cf

### ibsFwaveRd

    java.lang.String[] ibsFwaveRd

  Model section parameter - falling-wave Rd

### ibsFwaveCd

    java.lang.String[] ibsFwaveCd

  Model section parameter - falling-wave Cd

### ibsFwaveLd

    java.lang.String[] ibsFwaveLd

  Model section parameter - falling-wave Ld

### spice_node

    java.lang.String spice_node

  The test fixture output pin node name.

### model_name

    java.lang.String model_name

  Name of the model.

### input_pin

    java.lang.String input_pin

  The test fixture data input pin node name.

### enable_pin

    java.lang.String enable_pin

  The test fixture output enable pin node name.

### pow_pin

    java.lang.String pow_pin

  The test fixture power pin node name.

### gnd_pin

    java.lang.String gnd_pin

  The test fixture ground pin node name.

Constructor Detail

### s2iData

    public s2iData()

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD